Package org.apache.sling.cms.publication

## Class IsPublishableResourceContainer

- java.lang.Object
- - org.apache.sling.cms.publication.IsPublishableResourceContainer

All Implemented Interfaces:
  `Predicate<org.apache.sling.api.resource.Resource>`

    public class IsPublishableResourceContainer
    extends Object
    implements Predicate<org.apache.sling.api.resource.Resource>

A predicate for evaluating if a resource can contain publishable resources or be a publishable resource itself

### Constructor Summary

Constructors
`IsPublishableResourceContainer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `test​(org.apache.sling.api.resource.Resource r)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

### Constructor Detail

#### IsPublishableResourceContainer

    public IsPublishableResourceContainer()

### Method Detail

#### test

    public boolean test​(org.apache.sling.api.resource.Resource r)

Specified by:
  `test` in interface `Predicate<org.apache.sling.api.resource.Resource>`